Subject: Re: CRLF problems with Git on Win32

From: Sam Ravnborg <[email-masked]>
Date: Fri, 11 Jan 2008 20:50:22 +0100

On Fri, Jan 11, 2008 at 11:16:02AM -0800, Linus Torvalds wrote:
> 
> 
> On Fri, 11 Jan 2008, Steffen Prohaska wrote:
> > 
> > I already started to teach everyone the new "autocrlf=input" policy to 
> > avoid these questions.
> 
> I certainly don't think "autocrlf=input" is wrong. It might even be a 
> reasonable default on Unix, although I don't think it's nearly as obvious 
> as the Windows case. I wouldn't mind using it myself, for example, 
> although probably only because I know that for the stuff I work on it 
> simply cannot possibly ever do the wrong thing.
> 
> In fact, we had a case of bogus CRLF in one of the kernel documentation 
> files for some reason that we ended up fixing by hand. "autocflf=input" 
> would have fixed it (except in that case it wouldn't have, since it came 
> from the original kernel tree, long before crlf was an issue for git ;)
> 
> So I'd say that autocrlf=input is quite possibly a good idea on Unix in 
> general, but my gut feel is still that it's not a big enough issue to be 
> actually worth making a default change over. But there's absolutely 
> nothing wrong with having it as a policy at a company that has mixed Unix 
> and Windows machines.
> 
> (Every place I've ever been at, people who had a choice would never ever 
> develop under Windows, so I've never seen any real mixing - even when some 
> parts of the project were DOS/Windows stuff, there was a clear boundary 
> between the stuff that was actually done under Windows)

The reality I see is the other way around as common practice.
For people that has never tried a Linux box the barrier
is quite high and they prefer to stick with Windows.
Where I work today and in several other places I know of the
default choice is to work on Windows and use a Linux box only
for cross compilation.
This is common practice in many smaller embedded companies
and it is also these companies that like to be able to build
Linux on a Windows box.

	Sam